ZMQSocket::getPersistentId
ZMQSocket::getSockOpt
ZMQSocket
PHP Manual

# ZMQSocket::getSocketType

(PECL zmq >= 0.5.0)

ZMQSocket::getSocketType — Get the socket type

### Description

public integer ZMQSocket::getSocketType ( void )

Gets the socket type.

### Parameters

This function has no parameters.

### Return Values

Returns an integer representing the socket type. The integer can be compared against `ZMQ::SOCKET_*` constants.

ZMQSocket::getPersistentId
ZMQSocket::getSockOpt
ZMQSocket
PHP Manual